This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 485255 - Cluster: message producers don't always seem to failover cleanly.
Cluster: message producers don't always seem to failover cleanly.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
1.1
All Linux
low Severity medium
: 1.3
: ---
Assigned To: Rajith Attapattu
MRG Quality Engineering
IG Index
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-12 11:39 EST by Arnaud Simon
Modified: 2011-01-25 16:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Message producers don't always seem to failover cleanly to another member in the cluster. Consequence: The client appears to hang and then eventually times out without logging/notifying the proper error message. Fix: The error condition is handled and notified promptly. Result: The client does not hang anymore, instead it prints the error condition clearly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-25 16:17:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arnaud Simon 2009-02-12 11:39:49 EST
Description of problem:
Message producers don't always seem to failover cleanly. Error
seen:

2009-02-09 18:23:40,859 ERROR [IoReceiver -
brtstamq001/172.29.2.31:5673] client.AMQConnectionDelegate_0_10
(AMQConnectionDelegate_0_10.java:234) - error during failover
org.apache.qpid.transport.SessionException: timed out waiting for
session to become open (state=DETACHED)
Comment 1 Rajith Attapattu 2009-03-09 15:45:12 EDT
Rafi has fixed this error condition. Now you should get a more clean error message. If you can provide me with the test case I could test it as well.
Comment 4 Jiri Kolar 2010-10-01 04:04:37 EDT
Hi on which version do you see this issue? How often How to reproduce this? Raising NEEDINFO
Comment 5 Jiri Kolar 2010-10-07 12:46:36 EDT
no info yet ..
Comment 6 Rajith Attapattu 2010-10-07 13:49:09 EDT
Jiri,

I assume this error was reported on the 1.1 release as thats the version mentioned in BZ.

I can't really recall the exact circumstances that triggered this issue, other than to say that this issue is more likely to happen when you recycle the broker the client is connected to repeatedly while the producer/consumer pair is in flight.

A primitive version of current failover tests were used for this. Therefore it's safe to say that the current failover test used by you and the one in testkit is adequate in testing this issue.

Regards,

Rajith.
Comment 7 Rajith Attapattu 2010-10-07 13:55:13 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Message producers don't always seem to failover cleanly to another member in the cluster.

Consequence: The client appears to hang and then eventually times out without logging/notifying the proper error message.

Fix: The error condition is handled and notified promptly.

Result: The client does not hang anymore, instead it prints the error condition clearly.

Note You need to log in before you can comment on or make changes to this bug.